# Generated by Django 4.2.19 on 2025-02-17 16:06

import re

import django.contrib.postgres.fields
import django.core.validators
import localized_fields.fields.char_field
import localized_fields.fields.text_field
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("alexandria_core", "0020_category_sort"),
    ]

    operations = [
        migrations.AlterField(
            model_name="category",
            name="allowed_mime_types",
            field=django.contrib.postgres.fields.ArrayField(
                base_field=models.CharField(max_length=255),
                blank=True,
                null=True,
                size=None,
                verbose_name="Allowed mime types",
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="color",
            field=models.CharField(
                default="#FFFFFF",
                max_length=18,
                validators=[
                    django.core.validators.RegexValidator(
                        re.compile("^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$"),
                        "Please enter a valid HEX color code.",
                        "invalid",
                    )
                ],
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="created_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Created by group"
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="created_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Created by user"
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="description",
            field=localized_fields.fields.text_field.LocalizedTextField(
                blank=True, null=True, required=[], verbose_name="Description"
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="metainfo",
            field=models.JSONField(default=dict, verbose_name="Metainfo"),
        ),
        migrations.AlterField(
            model_name="category",
            name="modified_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Modified by group"
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="modified_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Modified by user"
            ),
        ),
        migrations.AlterField(
            model_name="category",
            name="name",
            field=localized_fields.fields.char_field.LocalizedCharField(
                required=[], verbose_name="Name"
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="created_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Created by group"
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="created_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Created by user"
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="description",
            field=models.TextField(blank=True, null=True, verbose_name="Description"),
        ),
        migrations.AlterField(
            model_name="document",
            name="metainfo",
            field=models.JSONField(default=dict, verbose_name="Metainfo"),
        ),
        migrations.AlterField(
            model_name="document",
            name="modified_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Modified by group"
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="modified_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Modified by user"
            ),
        ),
        migrations.AlterField(
            model_name="document",
            name="title",
            field=models.CharField(blank=True, null=True, verbose_name="Title"),
        ),
        migrations.AlterField(
            model_name="file",
            name="checksum",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Checksum"
            ),
        ),
        migrations.AlterField(
            model_name="file",
            name="created_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Created by group"
            ),
        ),
        migrations.AlterField(
            model_name="file",
            name="created_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Created by user"
            ),
        ),
        migrations.AlterField(
            model_name="file",
            name="metainfo",
            field=models.JSONField(default=dict, verbose_name="Metainfo"),
        ),
        migrations.AlterField(
            model_name="file",
            name="modified_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Modified by group"
            ),
        ),
        migrations.AlterField(
            model_name="file",
            name="modified_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Modified by user"
            ),
        ),
        migrations.AlterField(
            model_name="file",
            name="name",
            field=models.CharField(max_length=255, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="mark",
            name="created_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Created by group"
            ),
        ),
        migrations.AlterField(
            model_name="mark",
            name="created_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Created by user"
            ),
        ),
        migrations.AlterField(
            model_name="mark",
            name="description",
            field=localized_fields.fields.text_field.LocalizedTextField(
                blank=True, null=True, required=[], verbose_name="Description"
            ),
        ),
        migrations.AlterField(
            model_name="mark",
            name="metainfo",
            field=models.JSONField(default=dict, verbose_name="Metainfo"),
        ),
        migrations.AlterField(
            model_name="mark",
            name="modified_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Modified by group"
            ),
        ),
        migrations.AlterField(
            model_name="mark",
            name="modified_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Modified by user"
            ),
        ),
        migrations.AlterField(
            model_name="mark",
            name="name",
            field=localized_fields.fields.text_field.LocalizedTextField(
                max_length=100, required=["en"], verbose_name="Name"
            ),
        ),
        migrations.AlterField(
            model_name="tag",
            name="created_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Created by group"
            ),
        ),
        migrations.AlterField(
            model_name="tag",
            name="created_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Created by user"
            ),
        ),
        migrations.AlterField(
            model_name="tag",
            name="description",
            field=localized_fields.fields.text_field.LocalizedTextField(
                blank=True, null=True, required=[], verbose_name="Description"
            ),
        ),
        migrations.AlterField(
            model_name="tag",
            name="metainfo",
            field=models.JSONField(default=dict, verbose_name="Metainfo"),
        ),
        migrations.AlterField(
            model_name="tag",
            name="modified_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Modified by group"
            ),
        ),
        migrations.AlterField(
            model_name="tag",
            name="modified_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Modified by user"
            ),
        ),
        migrations.AlterField(
            model_name="tag",
            name="name",
            field=models.CharField(max_length=100, verbose_name="Name"),
        ),
        migrations.AlterField(
            model_name="tagsynonymgroup",
            name="created_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Created by group"
            ),
        ),
        migrations.AlterField(
            model_name="tagsynonymgroup",
            name="created_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Created by user"
            ),
        ),
        migrations.AlterField(
            model_name="tagsynonymgroup",
            name="metainfo",
            field=models.JSONField(default=dict, verbose_name="Metainfo"),
        ),
        migrations.AlterField(
            model_name="tagsynonymgroup",
            name="modified_by_group",
            field=models.CharField(
                blank=True, max_length=255, null=True, verbose_name="Modified by group"
            ),
        ),
        migrations.AlterField(
            model_name="tagsynonymgroup",
            name="modified_by_user",
            field=models.CharField(
                blank=True, max_length=150, null=True, verbose_name="Modified by user"
            ),
        ),
    ]
